# Review: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=187569

Name:           xfce4-mailwatch-plugin
Version:        1.1.0
Release:        13%{?dist}
Summary:        Mail Watcher plugin for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://spuriousinterrupt.org/projects/mailwatch
Source0:        http://spuriousinterrupt.org/files/mailwatch/%{name}-%{version}.tar.bz2
Patch0:         xfce4-mailwatch-plugin-1.1.0-dsofix.patch
# Fixes underlinking against libxfcegui and libgcrypt
# http://bugzilla.xfce.org/show_bug.cgi?id=7096
Patch1:         xfce4-mailwatch-plugin-1.1.0-underlink.patch
# Make mail check interval configurable
# https://bugzilla.redhat.com/show_bug.cgi?id=710752
# fixed with mbox-refresh-interval.patch by Yves-Alexis Perez from
# https://bugzilla.xfce.org/show_bug.cgi?id=6947
Patch2:         xfce4-mailwatch-plugin-1.1.0-mbox-refresh-interval.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.20, libxfcegui4-devel >= 4.2, libxml2-devel
BuildRequires:  gettext, libtool, xfce4-dev-tools
BuildRequires:  libXt-devel
# only enable TLS support if a recent version of gnutls is available
%if 0%{?fedora} > 4
BuildRequires:  gnutls-devel >= 1.2.0
%endif
Requires:       xfce4-panel >= 4.4.0

%description
Mailwatch is a plugin for the Xfce 4 panel. It is intended to replace the 
current (4.0, 4.2) mail checker plugin in Xfce 4.4. It supports IMAP and POP, 
local mailboxes in Mbox, Maildir and MH-Maildir format as well as Gmail.

%prep
%setup -q
%patch0 -p1 -b .dsofix
%patch1 -p1 -b .underlink
%patch2 -p1 -b .mbox-refresh
# Fix icon in 'Add new panel item' dialog
sed -i 's|Icon=xfce-mail|Icon=mail-unread|g' panel-plugin/mailwatch.desktop.in.in


%build
# Xfce has its own autotools-running-script thingy, if you use autoreconf
# it'll fall apart horribly
NOCONFIGURE=yes xdt-autogen

%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/xfce-*mail.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-*mail.svg
%{_datadir}/xfce4/doc/C/xfce4-mailwatch-plugin.html
%{_datadir}/xfce4/doc/C/images/mailwatch-*.png

%changelog
* Sun Apr 15 2012 Kevin Fenzi <kevin@scrye.com> - 1.1.0-13
- Rebuild for Xfce 4.10(pre2)

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 1.1.0-12
- Rebuild for Xfce 4.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.1.0-10
- Rebuild for new libpng

* Sat Jun 04 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-9
- Make mail check interval configurable (#710752)

* Fri Apr 08 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-8
- Fix icon in 'Add new panel item' dialog (#694904)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Adam Williamson <awilliam@redhat.com> - 1.1.0-6
- fix a couple of underlinking issues (underlink.patch)

* Wed Feb 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-5
- Add patch to fix DSO linking (#564814)
- Update icon-cache scriptlets

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-2
- Rebuild for Xfce 4.6 (Beta 3)

* Wed Oct 01 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0 fixes crash due to obscure GTK hash error (#463412)

* Mon Jul 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.1-10
- fix conditional comparison

* Fri Jun 06 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-9
- BuildRequire libXt-devel for all releases (#449496)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-8
- Autorebuild for GCC 4.3

* Fri Aug 24 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-7
- Rebuild for BuildID feature
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-6
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-5
- Rebuild for Xfce 4.4.
- Update gtk-icon-cache scriptlets.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-4
- Bump release for devel checkin.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-3
- Recompile against XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-2
- Mass rebuild for Fedora Core 6.

* Sat Jun 17 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.1-1
- Update to 1.0.1.

* Mon Apr 10 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.0-2
- Fix description.
- Fix files section.
- Require xfce4-panel.

* Sat Feb 18 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.0-1
- Initial Fedora Extras release.
